<?php
	
	define("ROOT", realpath(dirname(dirname(__FILE__)))."/");
	define("IMAGES", ROOT."images/");
	define("MODULES", ROOT."swf/modules/");
	define("SKINS", ROOT."swf/skins/");
	
	define("MYSQL", realpath(ROOT."inc/mysql.php"));
	define("EMAIL", realpath(ROOT."inc/email.php"));
	
	define("PRODUCTION_SERVER", false);
	
	include "globals.php";
	include "core/amf/app/Gateway.php";
	
	$gateway = new Gateway();
	$gateway->setClassPath($servicesPath);
	$gateway->setClassMappingsPath($voPath); 
	$gateway->setCharsetHandler( "iconv", "utf-8", "utf-8" );
	$gateway->setErrorHandling(E_ALL ^ E_NOTICE);
	
	if(PRODUCTION_SERVER) {
		$gateway->disableDebug();
		$gateway->disableStandalonePlayer();
	}
	$gateway->enableGzipCompression(25*1024);
	$gateway->service();

?>