<?php

include_once (MYSQL);
include_once (dirname(__FILE__)."/localization.php");

class ban {
	
    function ban() {     
		$this->DB = new DB;
		$this->DB->connect();
		$this->LOCALIZE = new localization;
    }
	
	/* COUNTRIES */
		
	function getCountries($lang) {
	
		$lang = $this->LOCALIZE->checkLanguage($lang);
	
		$add_query = "";
		$getdata = $this->DB->query("SELECT country.iso, localization.$lang AS name
                                     FROM ban_countries
                                     Inner Join country ON ban_countries.iso = country.iso
                                     Inner Join localization ON country.variable = localization.variable
									 ORDER BY name ASC");
		while($section = $this->DB->fetch_array($getdata)) {
			$iso = $section['iso'];
			$countries_ban[] = array('iso' => $iso, 'name' => $section['name']);
			$add_query .= ($add_query != "" ? " AND " : "")."iso <> '$iso'";
		}
		
		if ($add_query != "") $add_query = "WHERE ".$add_query; 
		
		$getdata = $this->DB->query("SELECT country.iso as iso, name.$lang as name FROM country
									 Inner Join localization AS name ON country.variable = name.variable
									 $add_query ORDER BY name ASC");
		while($section = $this->DB->fetch_array($getdata)) {
			$countries[] = array('iso' => $section['iso'], 'name' => $section['name']);
		}
		
		return array('countries' => $countries, 'countries_ban' => $countries_ban);
	}
	
	function setCountries($params) {
		$this->DB->query("TRUNCATE TABLE ban_countries;");
		for ($i=0; $i<count($params); $i++) {
			$iso = $params[$i];
			$this->DB->query("INSERT INTO ban_countries (iso) VALUES('$iso');");
		}
		return true;
	}
	
	function banCountry() {
		require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . "utils" . DIRECTORY_SEPARATOR . "whois" . DIRECTORY_SEPARATOR . "whois.php");
		$whois = new whois();
		$iso = $whois->getCountry();
		$getdata = $this->DB->query("SELECT iso FROM ban_countries WHERE iso = '$iso';");
		$rows = $this->DB->get_num_rows($getdata);
		return $rows == 1 ? true : false;
	}
	
	/* MAIL */
	
	function setDomains() {
		
		/*
		$domains[] = "111mail.com";
		$domains[] = "123iran.com";
		$domains[] = "1-usa.com";
		$domains[] = "2die4.com";
		$domains[] = "37.com";
		$domains[] = "420email.com";
		$domains[] = "4degreez.com";
		$domains[] = "4-music-today.com";
		$domains[] = "5.am";
		$domains[] = "5005.lv";
		$domains[] = "8.am";
		$domains[] = "a.ua";
		$domains[] = "a.org.ua";
		$domains[] = "abha.cc";
		$domains[] = "accountant.com";
		$domains[] = "actingbiz.com";
		$domains[] = "adexec.com";
		$domains[] = "africamail.com";
		$domains[] = "agadir.cc";
		$domains[] = "ahsa.ws";
		$domains[] = "ajman.cc";
		$domains[] = "ajman.us";
		$domains[] = "ajman.ws";
		$domains[] = "albaha.cc";
		$domains[] = "alex4all.com";
		$domains[] = "alexandria.cc";
		$domains[] = "algerie.cc";
		$domains[] = "allergist.com";
		$domains[] = "allhiphop.com";
		$domains[] = "alriyadh.cc";
		$domains[] = "alumnidirector.com";
		$domains[] = "amman.cc";
		$domains[] = "anatomicrock.com";
		$domains[] = "animeone.com";
		$domains[] = "anjungcafe.com";
		$domains[] = "aqaba.cc";
		$domains[] = "aol.com";
		$domains[] = "arar.ws";
		$domains[] = "archaeologist.com";
		$domains[] = "arcticmail.com";
		$domains[] = "artlover.com";
		$domains[] = "asia.com";
		$domains[] = "asiancutes.com";
		$domains[] = "aswan.cc";
		$domains[] = "a-teens.net";
		$domains[] = "ausi.com";
		$domains[] = "australiamail.com";
		$domains[] = "autoindia.com";
		$domains[] = "autopm.com";
		$domains[] = "baalbeck.cc";
		$domains[] = "bahraini.cc";
		$domains[] = "banha.cc";
		$domains[] = "barriolife.com";
		$domains[] = "b-boy.com";
		$domains[] = "beautifulboy.com";
		$domains[] = "berlin.com";
		$domains[] = "bgay.com";
		$domains[] = "bicycledata.com";
		$domains[] = "bicycling.com";
		$domains[] = "bigheavyworld.com";
		$domains[] = "bigmailbox.net";
		$domains[] = "bikerheaven.net";
		$domains[] = "bikerider.com";
		$domains[] = "bikermail.com";
		$domains[] = "billssite.com";
		$domains[] = "bizerte.cc";
		$domains[] = "bk.ru";
		$domains[] = "blackandchristian.com";
		$domains[] = "blackcity.net";
		$domains[] = "blackvault.com";
		$domains[] = "blida.info";
		$domains[] = "bmx.lv";
		$domains[] = "bmxtrix.com";
		$domains[] = "boarderzone.com";
		$domains[] = "boatnerd.com";
		$domains[] = "bolbox.com";
		$domains[] = "bongmail.com";
		$domains[] = "bowl.com";
		$domains[] = "box.az";
		$domains[] = "buraydah.cc";
		$domains[] = "butch-femme.org";
		$domains[] = "byke.com";
		$domains[] = "calle22.com";
		$domains[] = "cameroon.cc";
		$domains[] = "cannabismail.com";
		$domains[] = "catlover.com";
		$domains[] = "catlovers.com";
		$domains[] = "certifiedbitches.com";
		$domains[] = "championboxing.com";
		$domains[] = "chatway.com";
		$domains[] = "cheerful.com";
		$domains[] = "chemist.com";
		$domains[] = "chillymail.com";
		$domains[] = "classprod.com";
		$domains[] = "classycouples.com";
		$domains[] = "clerk.com";
		$domains[] = "cliffhanger.com";
		$domains[] = "columnist.com";
		$domains[] = "comic.com";
		$domains[] = "company.org.ua";
		$domains[] = "congiu.net";
		$domains[] = "consultant.com";
		$domains[] = "coolmail.ru";
		$domains[] = "coolshit.com";
		$domains[] = "corpusmail.com";
		$domains[] = "counsellor.com";
		$domains[] = "cutey.com";
		$domains[] = "cyberunlimited.org";
		$domains[] = "cycledata.com";
		$domains[] = "darkfear.com";
		$domains[] = "darkforces.com";
		$domains[] = "deliveryman.com";
		$domains[] = "dhahran.cc";
		$domains[] = "dhofar.cc";
		$domains[] = "dino.lv";
		$domains[] = "diplomats.com";
		$domains[] = "dirtythird.com";
		$domains[] = "djibouti.cc";
		$domains[] = "doctor.com";
		$domains[] = "doglover.com";
		$domains[] = "dominican.cc";
		$domains[] = "dopefiends.com";
		$domains[] = "dr.com";
		$domains[] = "draac.com";
		$domains[] = "drakmail.net";
		$domains[] = "dr-dre.com";
		$domains[] = "dreamstop.com";
		$domains[] = "dublin.com";
		$domains[] = "earthling.net";
		$domains[] = "earthling.net";
		$domains[] = "eclub.lv";
		$domains[] = "egypt.net";
		$domains[] = "e-mail.am";
		$domains[] = "email.com";
		$domains[] = "e-mail.ru";
		$domains[] = "emailfast.com";
		$domains[] = "emails.ru";
		$domains[] = "e-mails.ru";
		$domains[] = "eminemfans .com";
		$domains[] = "envirocitizen.com";
		$domains[] = "eritrea.cc";
		$domains[] = "eritrea.cc";
		$domains[] = "escapeartist.com";
		$domains[] = "europe.com";
		$domains[] = "execs.com";
		$domains[] = "ezsweeps.com";
		$domains[] = "falasteen.cc";
		$domains[] = "famous.as";
		$domains[] = "farts.com";
		$domains[] = "feelingnaughty.com";
		$domains[] = "financier.com";
		$domains[] = "firemyst.com";
		$domains[] = "fit.lv";
		$domains[] = "freeonline.com";
		$domains[] = "fromru.com";
		$domains[] = "front.ru";
		$domains[] = "fudge.com";
		$domains[] = "fujairah.cc";
		$domains[] = "fujairah.us";
		$domains[] = "fujairah.ws";
		$domains[] = "funkytimes.com";
		$domains[] = "gabes.cc";
		$domains[] = "gafsa.cc";
		$domains[] = "gala.net";
		$domains[] = "gamerssolution.com";
		$domains[] = "gardener.com";
		$domains[] = "gawab.com";
		$domains[] = "gazabo.net";
		$domains[] = "geologist.com";
		$domains[] = "giza.cc";
		$domains[] = "glittergrrrls.com";
		$domains[] = "gmail.com";
		$domains[] = "goatrance.com";
		$domains[] = "goddess.com";
		$domains[] = "gohip.com";
		$domains[] = "goldenmail.ru";
		$domains[] = "goldmail.ru";
		$domains[] = "gospelcity.com";
		$domains[] = "gothicgirl.com";
		$domains[] = "gotomy.com";
		$domains[] = "grapemail.net";
		$domains[] = "graphic-designer.com";
		$domains[] = "greatautos.org";
		$domains[] = "guinea.cc";
		$domains[] = "guinea.cc";
		$domains[] = "guy.com";
		$domains[] = "hacker.am";
		$domains[] = "hairdresser.net";
		$domains[] = "haitisurf.com";
		$domains[] = "hamra.cc";
		$domains[] = "happyhippo.com";
		$domains[] = "hasakah.com";
		$domains[] = "hateinthebox.com";
		$domains[] = "hebron.tv";
		$domains[] = "hip hopmail.com";
		$domains[] = "homs.cc";
		$domains[] = "hotbox.ru";
		$domains[] = "hotmail.com";
		$domains[] = "hotmail.ru";
		$domains[] = "hot-shot.com";
		$domains[] = "houseofhorrors.com";
		$domains[] = "hugkiss.com";
		$domains[] = "hullnumber.com";
		$domains[] = "human.lv";
		$domains[] = "ibra.cc";
		$domains[] = "idunno4recipes.com";
		$domains[] = "ihatenetscape.com";
		$domains[] = "iname.com";
		$domains[] = "inbox.ru";
		$domains[] = "inorbit.com";
		$domains[] = "insurer.com";
		$domains[] = "intimatefire.com";
		$domains[] = "iphon.biz";
		$domains[] = "irbid.ws";
		$domains[] = "irow.com";
		$domains[] = "ismailia.cc";
		$domains[] = "jadida.cc";
		$domains[] = "jadida.org";
		$domains[] = "japan.com";
		$domains[] = "jazzemail.com";
		$domains[] = "jerash.cc";
		$domains[] = "jizan.cc";
		$domains[] = "jouf.cc";
		$domains[] = "journalist.com";
		$domains[] = "juanitabynum.com";
		$domains[] = "kairouan.cc";
		$domains[] = "kanoodle.com";
		$domains[] = "karak.cc";
		$domains[] = "khaimah.cc";
		$domains[] = "khartoum.cc";
		$domains[] = "khobar.cc";
		$domains[] = "kickboxing.com";
		$domains[] = "kidrock.com";
		$domains[] = "kinkyemail.com";
		$domains[] = "kool-things.com";
		$domains[] = "krovatka.net";
		$domains[] = "kuwaiti.tv";
		$domains[] = "kyrgyzstan.cc";
		$domains[] = "land.ru";
		$domains[] = "latakia.cc";
		$domains[] = "latchess.com";
		$domains[] = "latinabarbie.com";
		$domains[] = "latinogreeks.com";
		$domains[] = "lawyer.com";
		$domains[] = "lebanese.cc";
		$domains[] = "leesville.com";
		$domains[] = "legislator.com";
		$domains[] = "list.ru";
		$domains[] = "lobbyist.com";
		$domains[] = "london.com";
		$domains[] = "loveable.com";
		$domains[] = "loveemail.com";
		$domains[] = "loveis.lv";
		$domains[] = "lovers-mail.com";
		$domains[] = "lowrider.com";
		$domains[] = "lubnan.cc";
		$domains[] = "lubnan.ws";
		$domains[] = "lucky7lotto.net";
		$domains[] = "lv-inter.net";
		$domains[] = "mad.scientist.com";
		$domains[] = "madeniggaz.net";
		$domains[] = "madinah.cc";
		$domains[] = "madrid.com";
		$domains[] = "maghreb.cc";
		$domains[] = "mail.com";
		$domains[] = "mail.ru";
		$domains[] = "mail15.com";
		$domains[] = "mail333.com";
		$domains[] = "mailbomb.com";
		$domains[] = "manama.cc";
		$domains[] = "mansoura.tv";
		$domains[] = "marillion.net";
		$domains[] = "marrakesh.cc";
		$domains[] = "mascara.ws";
		$domains[] = "megarave.com";
		$domains[] = "meknes.cc";
		$domains[] = "mesra.net";
		$domains[] = "mindless.com";
		$domains[] = "minister.com";
		$domains[] = "mofa.com";
		$domains[] = "moscowmail.com";
		$domains[] = "motley.com";
		$domains[] = "munich.com";
		$domains[] = "muscat.tv";
		$domains[] = "muscat.ws";
		$domains[] = "music.com";
		$domains[] = "musician.net";
		$domains[] = "musician.org";
		$domains[] = "musicsites.com";
		$domains[] = "myself.com";
		$domains[] = "mymail-in.net";
		$domains[] = "mytop-in.net";
		$domains[] = "nabeul.cc";
		$domains[] = "nabeul.info";
		$domains[] = "nablus.cc";
		$domains[] = "nador.cc";
		$domains[] = "najaf.cc";
		$domains[] = "narod.ru";
		$domains[] = "netbroadcaster.com";
		$domains[] = "netfingers.com";
		$domains[] = "net-surf.com";
		$domains[] = "nettaxi.com";
		$domains[] = "newmail.ru";
		$domains[] = "ni cedriveway.com";
		$domains[] = "nightmail.ru";
		$domains[] = "nm.ru";
		$domains[] = "nocharge.com";
		$domains[] = "nycmail.com";
		$domains[] = "omani.ws";
		$domains[] = "omdurman.cc";
		$domains[] = "operationivy.com";
		$domains[] = "optician.com";
		$domains[] = "oran.cc";
		$domains[] = "oued.info";
		$domains[] = "oued.org";
		$domains[] = "oujda.biz";
		$domains[] = "oujda.cc";
		$domains[] = "paidoffers.net";
		$domains[] = "pakistani.ws";
		$domains[] = "palmyra.cc";
		$domains[] = "palmyra.ws";
		$domains[] = "pcbee.com";
		$domains[] = "pediatrician.com";
		$domains[] = "persian.com";
		$domains[] = "petrofind.com";
		$domains[] = "peugeot-club.org";
		$domains[] = "phunkybitches.com";
		$domains[] = "pikaguam.com";
		$domains[] = "pinkcity.net";
		$domains[] = "pisem.net";
		$domains[] = "pitbullmail.com";
		$domains[] = "planetsmeg.com";
		$domains[] = "playful.com";
		$domains[] = "pochta.ru";
		$domains[] = "pochtamt.ru";
		$domains[] = "poetic.com";
		$domains[] = "pookmail.com";
		$domains[] = "poop.com";
		$domains[] = "poormail.com";
		$domains[] = "pop3.ru";
		$domains[] = "popstar.com";
		$domains[] = "portsaid.cc";
		$domains[] = "post.com";
		$domains[] = "potsmokersnet.com";
		$domains[] = "presidency.com";
		$domains[] = "priest.com";
		$domains[] = "primetap.com";
		$domains[] = "programmer.net";
		$domains[] = "project420.com";
		$domains[] = "prolife.net";
		$domains[] = "publicist.com";
		$domains[] = "puertoricowow.com";
		$domains[] = "puppetweb.com";
		$domains[] = "qassem.cc";
		$domains[] = "quds.cc";
		$domains[] = "rabat.cc";
		$domains[] = "rafah.cc";
		$domains[] = "ramallah.cc";
		$domains[] = "rambler.ru";
		$domains[] = "rapstar.com";
		$domains[] = "rapworld.com";
		$domains[] = "rastamall.com";
		$domains[] = "ratedx.net";
		$domains[] = "ravermail.com";
		$domains[] = "rbcmail.ru";
		$domains[] = "realtyagent.com";
		$domains[] = "registerednurses.com";
		$domains[] = "relapsecult.com";
		$domains[] = "remixer.com";
		$domains[] = "repairman.com";
		$domains[] = "representative.com";
		$domains[] = "rescueteam.com";
		$domains[] = "rockeros.com";
		$domains[] = "romance106fm.com";
		$domains[] = "rome.com";
		$domains[] = "sa veourplanet.org";
		$domains[] = "safat.biz";
		$domains[] = "safat.info";
		$domains[] = "safat.us";
		$domains[] = "safat.ws";
		$domains[] = "saintly.com";
		$domains[] = "salalah.cc";
		$domains[] = "salmiya.biz";
		$domains[] = "samerica.com";
		$domains[] = "sanaa.cc";
		$domains[] = "sanfranmail.com";
		$domains[] = "scientist.com";
		$domains[] = "seductive.com";
		$domains[] = "seeb.cc";
		$domains[] = "sexriga.lv";
		$domains[] = "sfax.ws";
		$domains[] = "sharm.cc";
		$domains[] = "sinai.cc";
		$domains[] = "singalongcenter.com";
		$domains[] = "singapore.com";
		$domains[] = "siria.cc";
		$domains[] = "sketchyfriends.com";
		$domains[] = "slayerized.com";
		$domains[] = "smartstocks.com";
		$domains[] = "smtp.ru";
		$domains[] = "sociologist.com";
		$domains[] = "sok.lv";
		$domains[] = "soon.com";
		$domains[] = "soulja-beatz.org";
		$domains[] = "sousse.cc";
		$domains[] = "spam.lv";
		$domains[] = "specialoperations.com";
		$domains[] = "speedymail.net";
		$domains[] = "spells.com";
		$domains[] = "streetracing.com";
		$domains[] = "subspacemail.com";
		$domains[] = "sudanese.cc";
		$domains[] = "suez.cc";
		$domains[] = "sugarray.com";
		$domains[] = "superbikeclub.com";
		$domains[] = "superintendents.net";
		$domains[] = "supermail.ru";
		$domains[] = "surfguiden.com";
		$domains[] = "sweetwishes.com";
		$domains[] = "tabouk.cc";
		$domains[] = "tajikistan.cc";
		$domains[] = "tangiers.cc";
		$domains[] = "tanta.cc";
		$domains[] = "tattoodesign.com";
		$domains[] = "tayef.cc";
		$domains[] = "teamster.net";
		$domains[] = "techie.com";
		$domains[] = "technologist.com";
		$domains[] = "teenchatnow.com";
		$domains[] = "tetouan.cc";
		$domains[] = "the5thquarter.com";
		$domains[] = "theblackmarket.com";
		$domains[] = "timor.cc";
		$domains[] = "tokyo.com";
		$domains[] = "tombstone.ws";
		$domains[] = "topping.com.ua";
		$domains[] = "troamail.org";
		$domains[] = "tunisian.cc";
		$domains[] = "tunisian.cc";
		$domains[] = "tut.by";
		$domains[] = "tx.am";
		$domains[] = "u2tours.com";
		$domains[] = "ua.fm";
		$domains[] = "uaix.info";
		$domains[] = "umpire.com";
		$domains[] = "urdun.cc";
		$domains[] = "usa.com";
		$domains[] = "vipmail.ru";
		$domains[] = "vitalogy.org";
		$domains[] = "whatisthis.com";
		$domains[] = "whoever.com";
		$domains[] = "winning.com";
		$domains[] = "witty.com";
		$domains[] = "woman.in.ua";
		$domains[] = "wrestlezone.com";
		$domains[] = "writeme.com";
		$domains[] = "writeme.com";
		$domains[] = "xsecurity.org";
		$domains[] = "yahoo.com";
		$domains[] = "yanbo.cc";
		$domains[] = "yandex.ru";
		$domains[] = "yemeni.cc";
		$domains[] = "yemeni.cc";
		$domains[] = "yogaelements.com";
		$domains[] = "yours.com";
		$domains[] = "yunus.cc";
		$domains[] = "zabor.lv";
		$domains[] = "zagazig.cc";
		$domains[] = "zambia.cc";
		$domains[] = "zarqa.cc";
		$domains[] = "zerogravityclub.com";
		$domains[] = "MuseumFan.com";
		$domains[] = "ShowFans.com";
		$domains[] = "DocEmail.com";
		$domains[] = "HealthEmail.net";
		$domains[] = "TopNurses.net";
		$domains[] = "TeachFitness.com";
		$domains[] = "CarJunky.com";
		$domains[] = "FastHondas.com";
		$domains[] = "FastestCar.com";
		$domains[] = "V8Email.com";
		$domains[] = "AviationEmail.com";
		$domains[] = "BankersMail.com";
		$domains[] = "ChefMail.com";
		$domains[] = "InsuranceFan.com";
		$domains[] = "LegalFan.com";
		$domains[] = "PoliceOne.com";
		$domains[] = "SiliconEmail.com";
		$domains[] = "TechEmail.com";
		$domains[] = "TheGuilds.org";
		$domains[] = "HomeWorking.org";
		$domains[] = "OfficeEmail.net";
		$domains[] = "TNbusiness.com";
		$domains[] = "AEmail4U.com";
		$domains[] = "BlazeMail.com";
		$domains[] = "BuildTraffic.com";
		$domains[] = "TheDogHouseMail.com";
		$domains[] = "TheFreeSite.com";
		$domains[] = "GoBot.com";
		$domains[] = "HotSheet.com";
		$domains[] = "InternetFan.com";
		$domains[] = "Mail.vu";
		$domains[] = "MailBling.com";
		$domains[] = "MuchoMail.com";
		$domains[] = "NetZoola.com";
		$domains[] = "SpinFinder.com";
		$domains[] = "UltimateEmail.com";
		$domains[] = "WowMail.com";
		$domains[] = "ComputerMail.net";
		$domains[] = "CreateMail.com";
		$domains[] = "eLiteral.com";
		$domains[] = "HardwareFan.com";
		$domains[] = "SoftwareFan.com";
		$domains[] = "SoftwareAddict.com";
		$domains[] = "SQATester.com";
		$domains[] = "EcologyFund.com";
		$domains[] = "HappyHippie.com";
		$domains[] = "Nativeweb.org";
		$domains[] = "StyleFan.com";
		$domains[] = "BornAgain.com";
		$domains[] = "CatholicEmail.com";
		$domains[] = "Khalsa.com";
		$domains[] = "CollegeStudentMail.com";
		$domains[] = "HighSchoolEmail.com";
		$domains[] = "Math.com";
		$domains[] = "TeachingZone.net";
		$domains[] = "CoolYork.com ";
		$domains[] = "DCEmail.com";
		$domains[] = "FloridaEmail.net";
		$domains[] = "IslandFan.com";
		$domains[] = "MauiEmail.com";
		$domains[] = "CBGB.com";
		$domains[] = "DarkSites.com";
		$domains[] = "Herzeleid.com";
		$domains[] = "K-earthmail.com";
		$domains[] = "Knac.com";
		$domains[] = "JenniferLopezFan.com";
		$domains[] = "Mugglenet.com";
		$domains[] = "Radio.fm";
		$domains[] = "RiverSongs.net";
		$domains[] = "TranceAddict.com";
		$domains[] = "Sluggy.net";
		$domains[] = "SurvivorEmail.net";
		$domains[] = "VampireFreaks.com";
		$domains[] = "Aggressive.com";
		$domains[] = "BaseballExpert.net";
		$domains[] = "BodyBuilders.com";
		$domains[] = "FootballAddict.net";
		$domains[] = "LoveToHike.com";
		$domains[] = "Surf.co.nz";
		$domains[] = "Triathlete.com";
		$domains[] = "VolleyballMail.com";
		$domains[] = "AnimalFan.net";
		$domains[] = "CookingFan.net";
		$domains[] = "HorseMail.com";
		$domains[] = "MeowMail.com";
		$domains[] = "ParentsOf2.com";
		$domains[] = "GenXemail.com";
		$domains[] = "OpenDiary.com";
		$domains[] = "RaveFan.com";
		$domains[] = "YouthFire.com";
		$domains[] = "FinanceFan.net";
		$domains[] = "InvestingFan.com";
		$domains[] = "StocksPlayers.com";
		$domains[] = "Bust.com";
		$domains[] = "LadyFire.com";
		$domains[] = "ModernWife.com";
		$domains[] = "WomensMail.net";
		$domains[] = "Cheatcc.com";
		$domains[] = "ChessFan.net";
		$domains[] = "MahJongPlayer.com";
		$domains[] = "AussieMail.com";
		$domains[] = "Bakililar.az";
		$domains[] = "CanadiansRule.com";
		$domains[] = "Email.co.yu";
		$domains[] = "Jamaicans.com";
		$domains[] = "Humlog.com";
		$domains[] = "Postamatik.com";
		$domains[] = "ParisFan.net";
		$domains[] = "gmail.ru";
		$domains[] = "dinamomail.ru";
		$domains[] = "hrono.ru";
		$domains[] = "icqfoto.ru";
		$domains[] = "kievmail.ru";
		$domains[] = "lmail.ru";
		$domains[] = "mirabilis.ru";
		$domains[] = "radiomail.ru";
		$domains[] = "refer.ru";
		$domains[] = "spartakmail.ru";
		$domains[] = "tvmail.ru";
		$domains[] = "wmail.ru";
		$domains[] = "womenmail.ru";
		$domains[] = "elitemail.ru";
		$domains[] = "inet.ua";
		$domains[] = "fm.com.ua";
		$domains[] = "freemail.com.ua";
		$domains[] = "bigmir.net";
		$domains[] = "itua.info";
		$domains[] = "meta.ua";
		$domains[] = "1Ru.net";
		$domains[] = "Barnaul.biz";
		$domains[] = "Barnaul.info";
		$domains[] = "Belgorod.tv";
		$domains[] = "Biysk.biz";
		$domains[] = "Chernogolovka.com";
		$domains[] = "Ivanovo.biz";
		$domains[] = "Kaluga.biz";
		$domains[] = "Kaluga.tv";
		$domains[] = "Kazan.biz";
		$domains[] = "Kemerovo.tv";
		$domains[] = "Kirov.info";
		$domains[] = "Kirov.tv";
		$domains[] = "Kolyma.org";
		$domains[] = "Kostroma.biz";
		$domains[] = "Kostroma.tv";
		$domains[] = "Kursk.biz";
		$domains[] = "Lipetsk.biz";
		$domains[] = "Lipetsk.info";
		$domains[] = "Lipetsk.tv";
		$domains[] = "Magadan.info";
		$domains[] = "Magadan.tv";
		$domains[] = "Maradan.biz";
		$domains[] = "Mari-el.biz";
		$domains[] = "Murmansk.biz";
		$domains[] = "Murmansk.tv";
		$domains[] = "Norilsk.biz";
		$domains[] = "Norilsk.info";
		$domains[] = "Norilsk.tv";
		$domains[] = "Nsk.biz";
		$domains[] = "Obninsk.biz";
		$domains[] = "Obninsk.info";
		$domains[] = "Obninsk.net";
		$domains[] = "Obninsk.tv";
		$domains[] = "Obrazovanie.com";
		$domains[] = "Obrazovanie.net";
		$domains[] = "Obrazovanie.org";
		$domains[] = "Omsk.biz";
		$domains[] = "Orel.tv";
		$domains[] = "Orenburg.tv";
		$domains[] = "Penza.biz";
		$domains[] = "Penza.info";
		$domains[] = "Penza.tv";
		$domains[] = "Pskov.biz";
		$domains[] = "Pskov.tv";
		$domains[] = "Rostov.tv";
		$domains[] = "Runet.biz";
		$domains[] = "Samara.biz";
		$domains[] = "Saratov.tv";
		$domains[] = "Smolensk.biz";
		$domains[] = "Smolensk.info";
		$domains[] = "Smolensk.tv";
		$domains[] = "Stavropol.biz";
		$domains[] = "Stavropol.tv";
		$domains[] = "Surgut.biz";
		$domains[] = "Surgut.tv";
		$domains[] = "Svetlogorsk.biz";
		$domains[] = "Tambov.tv";
		$domains[] = "Tomsk.biz";
		$domains[] = "Tomsk.info";
		$domains[] = "Tomsk.tv";
		$domains[] = "Tula.biz";
		$domains[] = "Tula.info";
		$domains[] = "Tumen.biz";
		$domains[] = "Tver.biz";
		$domains[] = "Tver.info";
		$domains[] = "Tver.tv";
		$domains[] = "Ufa.biz";
		$domains[] = "Upakovka.com";
		$domains[] = "Upakovka.org";
		$domains[] = "Volga.tv";
		$domains[] = "Yamal.biz";
		$domains[] = "Yamal.info";
		$domains[] = "HotPOP.com";
		$domains[] = "PunkAss.com";
		$domains[] = "SexMagnet.com";
		$domains[] = "BonBon.net";
		$domains[] = "ToughGuy.net";
		$domains[] = "Phreaker.net";
		$domains[] = "GameBox.net";
		
		$this->DB->query("TRUNCATE TABLE ban_email;");
		for ($i=0; $i<count($domains); $i++) {
			$domain = strtolower($domains[$i]);
			$this->DB->query("INSERT INTO ban_email (domain) VALUES('$domain');");
		}*/
		
		return true;
		
	}
	
	function banEmail($email, $time, $desc) {
		$email = addslashes($email);
		
		//if ($date != "") $time = strtotime($date);
		
		$desc = addslashes($desc);
		
		$this->DB->query("INSERT INTO ban_emails (email, ends_at, description) 
		                  VALUES('$email', '$time', '$desc');");
		return true;
	}
	
	function getEmail() {
		$getdata = $this->DB->query("SELECT * FROM ban_emails;");
		while($section = $this->DB->fetch_array($getdata)) {
			$id = $section['id'];
			$email = $section['email'];
			$date = $section['ends_at'] != 0 ? date("Y.m.d H:i:s", $section['ends_at']) : ""; 
			$description = $section['description'];
			$emails[] = array('id' => $id, 'email' => $email, 'date' => $date, 'description' => $description);
		}
		return $emails;
	}
	
	function removeEmails($emails) {
		for ($i=0; $i<count($emails); $i++) {
			$id = $emails[$i];
			$this->DB->query("DELETE FROM ban_emails WHERE id = '$id' LIMIT 1;");
		}
		return true;
	}
	
	/* IP */
	
	function getIP() {
		$getdata = $this->DB->query("SELECT * FROM ban_ip;");
		while($section = $this->DB->fetch_array($getdata)) {
			$id = $section['id'];
			$from = long2ip($section['ip_from']);
			$to = long2ip($section['ip_to']);
			$date = $section['ends_at'] != 0 ? date("Y.m.d H:i:s", $section['ends_at']) : ""; 
			$description = $section['description'];
			$ips[] = array('id' => $id, 'from' => $from, 'to' => $to, 'date' => $date, 'description' => $description);
		}
		return $ips;
	}
	
	function addIP($from, $to, $time, $desc) {
		
		$from = sprintf("%u", ip2long($from));
		if (!$from) return false;
		
		if ($to != 0) {
			$to = sprintf("%u", ip2long($to));
			if (!$to) return false;
		} else {
			$to = $from;
		}
		
		//if ($date != "") $time = strtotime($date);
		
		$desc = addslashes($desc);
		
		$this->DB->query("INSERT INTO ban_ip (ip_from, ip_to, ends_at, description) 
		                  VALUES('$from', '$to', '$time', '$desc');");
		
		return true;
		
	}
	
	function removeIPs($ips) {
		for ($i=0; $i<count($ips); $i++) {
			$id = $ips[$i];
			$this->DB->query("DELETE FROM ban_ip WHERE id = '$id' LIMIT 1;");
		}
		return true;
	}
	
	/* Censorship */
	
	function getWords() {
		$getdata = $this->DB->query("SELECT * FROM ban_words;");
		while($section = $this->DB->fetch_array($getdata)) {
			$words[] = array('id' => $section['id'], 'value' => $section['value'], 'description' => $section['description']);
		}
		return $words;
	}
	
	function addWord($value, $description) {
		$value = addslashes($value);
		$description = addslashes($description);
		$this->DB->query("INSERT INTO ban_words (value, description) VALUES('$value', '$description');");
		return true;
	}
	
	function removeWord($id) {
		$this->DB->query("DELETE FROM ban_words WHERE id = '$id' LIMIT 1;");
		return true;
	}
	
	function editWord($id, $value, $description) {
		$value = addslashes($value);
		$description = addslashes($description);
		$this->DB->query("UPDATE ban_words SET value = '$value', description = '$description' WHERE id = '$id' LIMIT 1;");
	}
	
	function getBanWords() {
		$getdata = $this->DB->query("SELECT value FROM ban_words;");        		        
		while ($row = $this->DB->fetch_array($getdata)) {
			$regexp[] = $row['value'];
        }

		if (is_array($regexp)) {
			return implode('|', $regexp);
		} else {
			return false;
		}
	}
	
}

?>